#include <iostream>

using namespace std;
void us(int a[],int n)
{
    for(int i=0;i<n;i++)
        cin>>a[i];
}
void bs(int a[],int n)
{
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<(n-i-1);j++)
        {
            if(a[j]>a[j+1])
                swap(a[j],a[j+1]);
        }
    }
}
bool paran(int n)
{
    bool p=false;
    if(n%2==0)
        p=true;
    return p;
}
int main()
{
    int n,q,m,c;
    int a[100],b[100];
    cin>>n>>q;
    us(a,n);
    us(b,q);
    bs(a,n);
    if(paran(n)==1)
        m=(a[n/2]+a[n/2+1])/2;
    else
        m=a[n/2+1];
    for(int i=0;i<q;i++)
    {
        if(paran(n)==1)
            cout<<b[i]<<" ";
        else
            cout<<2*b[i]-m<<" ";
    }
    return 0;
}